آگاه‌سازی‌ها
پاک‌کردن همه

این کدها باید کجای وردپرس وارد بشن ؟؟؟


(@germanizer)
New Member
عضو شده: 10 سال قبل
ارسال‌: 4
شروع کننده موضوع  

سلام. دوستان از سایت وردپرس انگلیسی یه آموزش پیدا کردم که گفته چند کد رو وارد کنم ولی دقیقا نگفته به کدوم فایل چون فکر کرده همه کسانی که آموزش رو می خونن حرفه ای و با تجربه هستند.
لطفا کدها رو نگاه کنید:
اول گفته این تابع (function) رو وارد کنیم.

First we need function:
function wp_smushit_filter_timeout_time($time) {
$time = 25; //new number of seconds
return $time;
}

حالا نمیدونم این کد بالا رو باید در فایل فانکشن پوسته وارد بکنیم یا در فانکشن موجود در پوشه wp-include . این مورد رو لطفا راهنماییم کنید
دوتا کد دیگه هم گفته که در مورد کار یک افزونه به نام wp smushit است.اونها هم درباره فانکشن هست اونها رو فکر می کنید کجا باید وارد کنم؟
لطفا هر کدوم موارد رو میدونید دوستان راهنماییم کنید ممنونم


نقل‌قول
(@admin)
عضو Admin
عضو شده: 11 سال قبل
ارسال‌: 3602
 

اولا به انجمن خوش آمدید
دوما قالب را باز کن ببین فایلی به نام functions.php داره اگر هست در این فایل باید قرار دهید
اگر نبود باید یک فایل با این نام ساخته و در آن قرار دهید


پاسخنقل‌قول
(@germanizer)
New Member
عضو شده: 10 سال قبل
ارسال‌: 4
شروع کننده موضوع  

بینهایت ازتون ممنونم دوست من. مطمئنم انجمن جدیدتون با پاسخ گویی سریعی که دارید خیلی خوب رشد و پیشرفت خواهد داشت.

قالبم فایل functions.php داره. پس شما می فرمایید کدها رو توی همین فایل اضافه کنم و توی فایل فانکشن پوشه wp-include نیاز نیست قرار بدم؟
بعد دوست من دو تا کد دیگه توی این آموزش گفته که من نمی دونم دقیقا در کدوم فایل و پوشه باید قرارشون بدم. منبع اصلی پست اول این لینک است: http://wordpress.org/support/topic/plugin-wp-smushit-fix-for-timeouts-after-5000-milliseconds?replies=6

لطفا این سه سری کد رو راهنماییم کنید در کدوم فایل و چه مسیری باید قرارشون بدم
خیلی از شما ممنون خواهم بود


پاسخنقل‌قول
(@admin)
عضو Admin
عضو شده: 11 سال قبل
ارسال‌: 3602
 

لطفا اینجا را مشاهده کنیود
http://wordpress.org/extend/plugins/wp-smushit/installation/


پاسخنقل‌قول
(@germanizer)
New Member
عضو شده: 10 سال قبل
ارسال‌: 4
شروع کننده موضوع  

ببخشید فکر کنم لینک رو اشتباه گذاشتین. شما قسمت آموزش افزونه رو گذاشتین
من افزونه رو نصب کردم و 6 ماه هم ازش بخوبی استفاده می کردم. به تازگی برای من و چند نفر دیگه مشکل پیدا کرده که فعلا بی جواب مونده. الان می خوام اون اموزش رو هم امتحان کنم ببینم درست میشه.
این مشکل اخیر افزونه wp smush.it برای چندین نفر پیش اومده. هم توی وردپرس فارسی هم توی وردپرس انگلیسی ده تا تاپیک بیشتر هست که همه شون هم بی جواب مونده.

فقط بهم بگین این سه تا سری کد رو در چه فایلی باید وارد کنم طبق اون اموزش که خودش گفته. تا اینم تست کنم
بازم ممنونم از شما


پاسخنقل‌قول
(@admin)
عضو Admin
عضو شده: 11 سال قبل
ارسال‌: 3602
 

من درست تاپیک دادم
نگاه کرده بودی می گرفتی که با نسخه جدید وردپرس سازگار نیست
اینو ببین
Compatibility
WordPress
+ Plugin
=
Broken 🙁

2 people say it works.
7 people say it's broken.

Log in to vote.


پاسخنقل‌قول
(@germanizer)
New Member
عضو شده: 10 سال قبل
ارسال‌: 4
شروع کننده موضوع  

یکی از اون کسایی که رای منفی به سازگاری داده خودم بودم.
ولی من الان سه روزه دارم رو این مشکل افزونه کار می کنم. همه کاری هم کردم از همه کسی هم پرسیدم. الان هم یه وردپرس نسخه قدیمی تر رو نصب کردم دارم روی اون تست می کنم.
بعد هم گفتم تا چند روز پیش افزونه داشت رو نسخه فعلی و آخر وردپرس به خوبی کار میکرد خیلی بی دلیل و بکباره این مشکل پیش به وجود اومد.

من 15 تا روش بیشتر برای حل این مشکل امتحان کردم. حالا شما خواهش می کنم بگید اون کدها رو کجا باید وارد بکنم تا این روش هم امتحان کرده باشیم و انشالله که مشکل این افزونه به این مهمی رو حل کنه.
ممنونم از شما


پاسخنقل‌قول
(@admin)
عضو Admin
عضو شده: 11 سال قبل
ارسال‌: 3602
 

خوب عزیزم بگذارید من اینو امتحان کم وفردا ساعت یک اینو براتون بگم و قول می دم حل شه


پاسخنقل‌قول
اشتراک: